public inbox for linux-kbuild@vger.kernel.org
 help / color / mirror / Atom feed
* Kernel build ignores missing mkimage on building uImage
@ 2010-12-17 16:19 Roland Stigge
  2011-01-06 13:55 ` Michal Marek
  0 siblings, 1 reply; 3+ messages in thread
From: Roland Stigge @ 2010-12-17 16:19 UTC (permalink / raw)
  To: Michal Marek; +Cc: linux-kbuild

[-- Attachment #1: Type: text/plain, Size: 941 bytes --]

Hi,

on building an uImage, I get:

$ make uImage
  CHK     include/linux/version.h
  CHK     include/generated/utsrelease.h
make[1]: `include/generated/mach-types.h' is up to date.
  CALL    scripts/checksyscalls.sh
  CHK     include/generated/compile.h
  Kernel: arch/arm/boot/Image is ready
  SHIPPED arch/arm/boot/compressed/lib1funcs.S
  AS      arch/arm/boot/compressed/lib1funcs.o
  LD      arch/arm/boot/compressed/vmlinux
  OBJCOPY arch/arm/boot/zImage
  Kernel: arch/arm/boot/zImage is ready
  UIMAGE  arch/arm/boot/uImage
"mkimage" command not found - U-Boot images will not be built
  Image arch/arm/boot/uImage is ready
$

I.e. it says: "uImage is ready" even though the uImage file doesn't
exist because mkimage is missing.

(I'm working with Linux' current mainline GIT and also see that the
problem is also present in the mmarek repo on git.kernel.org.)

I propose the attached patch.

Thanks for considering.

bye,
  Roland

[-- Attachment #2: mkuboot.sh.patch --]
[-- Type: text/x-patch, Size: 339 bytes --]

diff --git a/scripts/mkuboot.sh b/scripts/mkuboot.sh
index 2e3d3cd..446739c 100755
--- a/scripts/mkuboot.sh
+++ b/scripts/mkuboot.sh
@@ -11,7 +11,7 @@ if [ -z "${MKIMAGE}" ]; then
 	if [ -z "${MKIMAGE}" ]; then
 		# Doesn't exist
 		echo '"mkimage" command not found - U-Boot images will not be built' >&2
-		exit 0;
+		exit 1;
 	fi
 fi
 

^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2011-01-06 23:28 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-12-17 16:19 Kernel build ignores missing mkimage on building uImage Roland Stigge
2011-01-06 13:55 ` Michal Marek
2011-01-06 23:28   ` Roland Stigge

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox